> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get framework codes for an audit

> Retrieves all valid framework codes for the specified audit. This endpoint helps users discover which framework codes are available for creating and updating information requests for this audit.

Use this endpoint to:
- Discover available framework codes before creating information requests
- Validate framework codes against the audit's framework
- Get context about what framework codes are available for the audit type

Rate limit: 10 requests / minute.



## OpenAPI

````yaml https://spec.speakeasy.com/vanta/vanta/conduct-an-audit-with-code-samples get /audits/{auditId}/framework-codes
openapi: 3.0.0
info:
  title: Conduct an audit
  version: 1.0.0
  description: >-
    The Auditor API lets audit firms conduct audits from a tool outside of
    Vanta. Unlock data syncing with Vanta through this API.


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /audits/{auditId}/framework-codes:
    get:
      tags:
        - Audits
      summary: Get framework codes for an audit
      description: >-
        Retrieves all valid framework codes for the specified audit. This
        endpoint helps users discover which framework codes are available for
        creating and updating information requests for this audit.


        Use this endpoint to:

        - Discover available framework codes before creating information
        requests

        - Validate framework codes against the audit's framework

        - Get context about what framework codes are available for the audit
        type


        Rate limit: 10 requests / minute.
      operationId: GetFrameworkCodes
      parameters:
        - in: path
          name: auditId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FrameworkCodes'
              examples:
                Example 1:
                  value:
                    frameworkCodes:
                      - CC1.1
                      - CC1.2
                      - CC1.3
                      - CC2.1
                      - CC2.2
                      - CC3.1
                      - CC3.2
                      - CC4.1
                      - CC4.2
                      - CC5.1
                      - CC5.2
                      - CC6.1
                      - CC6.2
                      - CC7.1
                      - CC7.2
                      - CC8.1
                      - CC8.2
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: typescript
          label: GetFrameworkCodes
          source: |-
            import { Vanta } from "vanta-auditor-api-sdk";

            const vanta = new Vanta({
              bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
            });

            async function run() {
              const result = await vanta.audits.getFrameworkCodes({
                auditId: "<id>",
              });

              console.log(result);
            }

            run();
        - lang: java
          label: GetFrameworkCodes
          source: >-
            package hello.world;


            import com.vanta.vanta_auditor_api.Vanta;

            import
            com.vanta.vanta_auditor_api.models.operations.GetFrameworkCodesResponse;

            import java.lang.Exception;


            public class Application {

                public static void main(String[] args) throws Exception {

                    Vanta sdk = Vanta.builder()
                            .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
                        .build();

                    GetFrameworkCodesResponse res = sdk.audits().getFrameworkCodes()
                            .auditId("<id>")
                            .call();

                    if (res.frameworkCodes().isPresent()) {
                        System.out.println(res.frameworkCodes().get());
                    }
                }
            }
components:
  schemas:
    FrameworkCodes:
      description: Framework codes response resource
      properties:
        frameworkCodes:
          items:
            type: string
          type: array
          description: >-
            Array of valid framework codes for the audit's framework (e.g.,
            "CC6.1", "CC6.2").

            These represent the different framework sections available for
            creating information requests.
      required:
        - frameworkCodes
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````